[2.1] log format differs

Bug #1639182 reported by Andres Rodriguez on 2016-11-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
High
Gavin Panella
2.1
High
Gavin Panella

Bug Description

[Description]

The log format completely differs between logs.

[Actual output]
==> /var/log/maas/maas.log <==
Nov 4 10:47:44 unleashed maas.import-images: [info] Writing boot image metadata and iSCSI targets.
Nov 4 10:47:44 unleashed maas.import-images: [info] Linking boot images snapshot /var/lib/maas/boot-res

==> /var/log/maas/regiond.log <==
2016-11-04 10:48:16 [maasserver.region_controller#info] Successfully configured DNS.
2016-11-04 10:48:18 [maasserver.dhcp#info] Successfully configured DHCPv4 on rack controller '4ennd3'.
2016-11-04 10:48:18 [maasserver.dhcp#info] Successfully configured DHCPv6 on rack controller '4ennd3'.

2016-11-04 10:48:28 [-#info] ::ffff:192.168.122.190 - - [04/Nov/2016:08:48:27 +0000] "GET /MAAS/metadata/latest/by-id/n36m7w/?op=get_preseed HTTP/1.1" 200 537 "-" "Cloud-Init/0.7.8"
2016-11-04 10:48:28 [-#info] ::ffff:192.168.122.190 - - [04/Nov/2016:08:48:28 +0000] "POST /MAAS/metadata/status/n36m7w HTTP/1.1" 200 2 "-" "python-requests/2.9.1"

==> /var/log/maas/rackd.log <==
2016-11-04 10:48:05 [provisioningserver.rackdservices.tftp#info] ldlinux.c32 requested by 52:54:00:96:d6:2b
2016-11-04 10:48:05 [provisioningserver.rackdservices.tftp#info] pxelinux.cfg/4694392f-80ff-7005-0483-a380be6060f5 requested by 52:54:00:96:d6:2b
2016-11-04 10:48:05 [provisioningserver.rackdservices.tftp#info] pxelinux.cfg/01-52-54-00-96-d6-2b requested by 52:54:00:96:d6:2b
2016-11-04 10:48:05 [provisioningserver.rackdservices.tftp#info] pxelinux.cfg/01-52-54-00-96-d6-2b requested by 52:54:00:96:d6:2b
2016-11-04 10:48:05 [provisioningserver.rackdservices.tftp#info] pxelinux.cfg/01-52-54-00-96-d6-2b requested by 52:54:00:96:d6:2b

[Expected result]

==> /var/log/maas/maas.log <==
2016-11-04 10:48:16 unleashed maas.import-images: [info] Writing boot image metadata and iSCSI targets.

==> /var/log/maas/regiond.log <==
2016-11-04 10:48:16 maasserver.region_controller: [info] Successfully configured DNS.
2016-11-04 10:48:18 maasserver.dhcp: [info] Successfully configured DHCPv4 on rack controller '4ennd3'.

==> /var/log/maas/rackd.log <==
2016-11-04 10:48:05 provisioningserver.rackdservices.tftp: [info] ldlinux.c32 requested by 52:54:00:96:d6:2b

Related branches

Changed in maas:
milestone: none → 2.1.1
Gavin Panella (allenap) wrote :

DEFAULT_LOG_FORMAT in p.logger._common is where this can be fixed. Some tests in that package will also need updating.

Changed in maas:
milestone: 2.1.1 → 2.1.2
Changed in maas:
milestone: 2.1.2 → 2.1.1
Changed in maas:
status: New → Triaged
importance: Undecided → High
Gavin Panella (allenap) on 2016-11-07
Changed in maas:
assignee: nobody → Gavin Panella (allenap)
status: Triaged → In Progress
Changed in maas:
status: In Progress → Fix Committed
Gavin Panella (allenap) wrote :

There is still some work left to do on this.

Changed in maas:
status: Fix Committed → In Progress
milestone: 2.1.1 → 2.2.0
Gavin Panella (allenap) on 2016-11-29
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers